enumerations

## Enum Encoding

- java.lang.Object
- - java.lang.Enum<Encoding>
  - - enumerations.Encoding

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<Encoding>

      public enum Encoding
      extends java.lang.Enum<Encoding>
      implements EnumBase

  Encoding types used in Wireless M-Bus and their names.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Manchester`
    `NRZ`
    `ThreeOutOfSix`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNiceName()`
    `static Encoding` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Encoding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### Manchester

          public static final Encoding Manchester

    - #### NRZ

          public static final Encoding NRZ

    - #### ThreeOutOfSix

          public static final Encoding ThreeOutOfSix

  - ### Field Detail

    - #### niceName

          private java.lang.String niceName

  - ### Method Detail

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### valueOf

          public static Encoding valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static Encoding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Encoding c : Encoding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared